Range-v3 Range algorithms, views, and actions for the Standard Library |

Public Member Functions | List of all members
ranges::v3::partition_copy_fn Struct Reference
Algorithms

## Public Member Functions
template<typename I , typename S , typename O0 , typename O1 , typename C , typename P = ident, requires = (PartitionCopyable<I, O0, O1, C, P>() && Sentinel<S, I>())>
tagged_tuple< tag::in(I), tag::out1(O0), tag::out2(O1)> | operator() (I begin, S end, O0 o0, O1 o1, C pred, P proj=P{}) const
template<typename Rng , typename O0 , typename O1 , typename C , typename P = ident, typename I = iterator_t<Rng>, requires = (PartitionCopyable<I, O0, O1, C, P>() && Range<Rng>())>
tagged_tuple< tag::in(safe_iterator_t< Rng >), tag::out1(O0), tag::out2(O1)> | operator() (Rng &&rng, O0 o0, O1 o1, C pred, P proj=P{}) const